Package com.isomorphic.criteria

# Interface Criterion

All Known Implementing Classes:
  `AndCriterion`, `CustomCriterion`, `DateRangeCriterion`, `DoubleRangeCriterion`, `FloatRangeCriterion`, `IntegerRangeCriterion`, `IsBlankCriterion`, `IsNullCriterion`, `LogicalCriterion`, `LongRangeCriterion`, `NotBlankCriterion`, `NotCriterion`, `NotNullCriterion`, `OrCriterion`, `OtherFieldCriterion`, `RangeCriterion`, `RelativeDateRangeCriterion`, `SetCriterion`, `SimpleCriterion`

public interface Criterion
An object representing a criterion to apply to a record.

A criterion is part of the definition of an `AdvancedCriteria` object, which is used to filter records according to search criteria.

A criterion consists of an operator and typically a fieldName from a Record and a value to compare to. However some operators either don't require a value (eg, isNull) or act on other criteria rather than directly on a Record's fields (eg, the "and" and "or" logical operators).

See com.isomorphic.criteria.criterion package for Criterion implementations.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getFieldName()`
  Gets field name to compare against.
  `Map`
  `getFieldQuery()`
  Gets fieldQuery.
  `String`
  `getOperatorId()`
  Gets operator id used in search criteria.
  `Object`
  `getValue()`
  Gets value used to compare to.
  `Map`
  `getValueQuery()`
  Gets valueQuery.
  `void`
  `setFieldName(String fieldName)`
  Sets field name to compare against.
  `void`
  `setFieldQuery(Map fieldQuery)`
  Sets fieldQuery, if this is a fieldQuery criterion
  `void`
  `setOperatorId(String operator)`
  Sets operator id to use in search criteria.
  `void`
  `setValue(Object value)`
  Sets value used to compare to.
  `void`
  `setValueQuery(Map valueQuery)`
  Sets valueQuery, if this is a valueQuery criterion

- ## Method Details

  - ### getOperatorId

    String getOperatorId()
    Gets operator id used in search criteria.
    Returns:
      operator id.

  - ### setOperatorId

    void setOperatorId(String operator)
    Sets operator id to use in search criteria.
    Parameters:
      `operator` - operator id.

  - ### getFieldName

    String getFieldName()
    Gets field name to compare against.
    Returns:
      field name.

  - ### setFieldName

    void setFieldName(String fieldName)
    Sets field name to compare against.
    Parameters:
      `fieldName` - field name.

  - ### getValue

    Object getValue()
    Gets value used to compare to.
    Returns:
      value to compare to.

  - ### setValue

    void setValue(Object value)
    Sets value used to compare to.
    Parameters:
      `value` - to compare to.

  - ### getFieldQuery

    Map getFieldQuery()
    Gets fieldQuery. Returns null if this is not a fieldQuery criterion
    Returns:
      fieldQuery.

  - ### setFieldQuery

    void setFieldQuery(Map fieldQuery)
    Sets fieldQuery, if this is a fieldQuery criterion
    Parameters:
      `fieldQuery` - fieldQuery

  - ### getValueQuery

    Map getValueQuery()
    Gets valueQuery. Returns null if this is not a valueQuery criterion
    Returns:
      valueQuery

  - ### setValueQuery

    void setValueQuery(Map valueQuery)
    Sets valueQuery, if this is a valueQuery criterion
    Parameters:
      `valueQuery` -